Skip to main content

createJiraConfiguration

Create a configuration for Jira integration

createJiraConfiguration(
input: CreateJiraConfigurationInput!
): CreateJiraConfigurationPayload

Arguments​

createJiraConfiguration.input ● CreateJiraConfigurationInput! non-null input​

Parameters for CreateJiraConfiguration

Type​

CreateJiraConfigurationPayload object​

Autogenerated return type of CreateJiraConfiguration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the assets query first and use data.assets.collection[].id as assetId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateJiraConfiguration($input: CreateJiraConfigurationInput!) {\n createJiraConfiguration(input: $input) { clientMutationId defectTrackerConfiguration { id asanaDetail { __typename } asset { __typename } } }\n}","variables":{"input":{"assetId":"<asset_id>","scopeIntegrationId":"<scope_integration_id>","projectKey":"example","projectId":"example","projectLabel":"example","issueType":"example","statusMappings":[{"internalIssueStatus":"CREATED","externalIssueStatus":"example"}],"fieldMappings":[{"internalField":"example","externalField":"example"}]}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute